cgGetAnnotationName(3)

NAME
cgGetAnnotationName - get an annotation's name

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetAnnotationName( CGannotation ann );

PARAMETERS

ann The annotation from which to get the name.

RETURN VALUES
Returns the NULL-terminated name string for the annotation.

Returns NULL if ann is invalid.

DESCRIPTION
cgGetAnnotationName allows the application to retrieve the name of a annotation. This name can be used later to retrieve the annotation using the cgGetNamedPassAnnotation manpage, the cgGetNamedParameterAnnotation manpage, the cgGetNamedTechniqueAnnotation manpage, or the cgGetNamedProgramAnnotation manpage.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

HISTORY
cgGetAnnotationName was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedPassAnnotation manpage, the cgGetNamedParameterAnnotation manpage, the cgGetNamedTechniqueAnnotation manpage, the cgGetNamedProgramAnnotation manpage